MONGOC_WRITE_CONCERN_APPEND(3)

NAME
mongoc_write_concern_append - mongoc_write_concern_append()

SYNOPSIS

        bool
        mongoc_write_concern_append (mongoc_write_concern_t *write_concern,
                                     bson_t *command);

PARAMETERS

    •   write_concern: A pointer to a mongoc_write_concern_t.

    •   command: A pointer to a bson_t.

DESCRIPTION

This function appends a write concern to command options. It is useful for appending a write concern to command options before passing them to mongoc_client_write_command_with_opts or a related function that takes an options document.

RETURNS

Returns true on success. If any arguments are invalid, returns false and logs an error.

EXAMPLE

See the example code for mongoc_client_write_command_with_opts.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc